CVE-2011-2768

NameCVE-2011-2768
DescriptionTor before 0.2.2.34, when configured as a client or bridge, sends a TLS certificate chain as part of an outgoing OR connection, which allows remote relays to bypass intended anonymity properties by reading this chain and then determining the set of entry guards that the client or bridge had selected.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2331-1
NVD severitymedium (attack range: remote)
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tor (PTS)squeeze (security), squeeze0.2.2.39-1fixed
squeeze (lts)0.2.4.23-1~deb6u1fixed
wheezy0.2.4.24-1fixed
wheezy (security)0.2.4.23-1~deb7u1fixed
jessie, sid0.2.5.10-1fixed

The information above is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
torsource(unstable)0.2.2.34-1medium
torsourcelenny0.2.1.31-1~lenny+1mediumDSA-2331-1
torsourcesqueeze0.2.1.31-1mediumDSA-2331-1

Search for package or bug name: Reporting problems